org.restlet.engine.util

## Class CallResolver

- java.lang.Object
- - org.restlet.util.Resolver<java.lang.Object>
  - - org.restlet.engine.util.CallResolver

    public class CallResolver
    extends Resolver<java.lang.Object>

Resolves variable values based on a request and a response.

Author:
  Jerome Louvel

### Constructor Summary

Constructors
Constructor and Description
`CallResolver(Request request, Response response)` Constructor.

### Method Summary

Methods
`java.lang.Object` `resolve(java.lang.String variableName)` Resolves a name into a value.

### Methods inherited from class org.restlet.util.Resolver

`createResolver, createResolver`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CallResolver

    public CallResolver(Request request,
                Response response)

Constructor.

Parameters:
  `request` - The request to use as a model.
  `response` - The response to use as a model.

### Method Detail

#### resolve

    public java.lang.Object resolve(java.lang.String variableName)

Description copied from class: `Resolver`
Resolves a name into a value.

Specified by:
  `resolve` in class `Resolver<java.lang.Object>`
Parameters:
  `variableName` - The name to resolve.
Returns:
  The resolved value.